[Errno -1] Package does not match intended download. Suggestion: run yum --enablerepo=rhel-7-server-rpms clean metadata

Solution Verified - Updated -

Issue

  • yum shows the following error, and the installation failed.
# yum --disablerepo=* --enablerepo=rhel-7-server-rpms install java-1.8.0-openjdk
...
Downloading packages:
Delta RPMs disabled because /usr/bin/applydeltarpm not installed.
java-1.8.0-openjdk-headless-1. FAILED                                          ====== ] 1.6 MB/s |  31 MB  00:00:00 ETA
https://cdn.redhat.com/content/dist/rhel/server/7/7.5/x86_64/os/Packages/j/java-1.8.0-openjdk-headless-1.8.0.191.b12-0.el7_5.x86_64.rpm: [Errno -1] Package does not match intended download. Suggestion: run yum --enablerepo=rhel-7-server-rpms clean metadata
Trying other mirror.

Environment

  • Red Hat Enterprise Linux 7

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase, tools, and much more.

Current Customers and Partners

Log in for full access

Log In

New to Red Hat?

Learn more about Red Hat subscriptions

Using a Red Hat product through a public cloud?

How to access this content